loci.formats.in.LeicaMicrosystemsMetadata

## Class MetadataStoreInitializer

- java.lang.Object
- - loci.formats.in.LeicaMicrosystemsMetadata.MetadataStoreInitializer

-     public class MetadataStoreInitializer
      extends java.lang.Object

  This class initializes the `MetadataStore` of a given `LMSFileReader`, using its `MetadataTempBuffer`
  Author:
    Melissa Linkert melissa at glencoesoftware.com, Constanze Wendlandt constanze.wendlandt at leica-microsystems.com

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `nextChannel`
    `private LMSFileReader` | `r`
    `(package private) MetadataStore` | `store`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetadataStoreInitializer(LMSFileReader reader)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ome.units.quantity.Length` | `checkFlip(boolean flip, ome.units.quantity.Length pos)`
    `int` | `getTileIndex(int coreIndex)`
    `void` | `initDetectorModels(int series)` Adds detector and channel color details from the reader's `MetadataTempBuffer` to its `MetadataStore`
    `void` | `initFilterModels(int series)` Adds filter details from the reader's `MetadataTempBuffer` to its `MetadataStore`
    `void` | `initImageDetails(int series)` Adds image and ROI details from the reader's `MetadataTempBuffer` to its `MetadataStore`
    `void` | `initLasers(int series)` Adds laser and light source details from the reader's `MetadataTempBuffer` to its `MetadataStore`
    `void` | `initMetadataStore()` Translates metadata information from the reader's `MetadataTempBuffer` and adds it to its `MetadataStore`
    `void` | `initStandDetails(int series)` Adds microscope and objective details from the reader's `MetadataTempBuffer` to its `MetadataStore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### r

          private LMSFileReader r

    - #### store

          MetadataStore store

    - #### nextChannel

          private int nextChannel

  - ### Constructor Detail

    - #### MetadataStoreInitializer

          public MetadataStoreInitializer(LMSFileReader reader)

  - ### Method Detail

    - #### initStandDetails

          public void initStandDetails(int series)
                                throws FormatException

      Adds microscope and objective details from the reader's `MetadataTempBuffer` to its `MetadataStore`
      Parameters:
        `series` - index of image series / metadata store
      Throws:
        `FormatException`

    - #### initFilterModels

          public void initFilterModels(int series)

      Adds filter details from the reader's `MetadataTempBuffer` to its `MetadataStore`
      Parameters:
        `series` - index of image series / metadata store
      Throws:
        `FormatException`

    - #### initLasers

          public void initLasers(int series)

      Adds laser and light source details from the reader's `MetadataTempBuffer` to its `MetadataStore`
      Parameters:
        `series` - index of image series / metadata store
      Throws:
        `FormatException`

    - #### initDetectorModels

          public void initDetectorModels(int series)

      Adds detector and channel color details from the reader's `MetadataTempBuffer` to its `MetadataStore`
      Parameters:
        `series` - index of image series / metadata store
      Throws:
        `FormatException`

    - #### initImageDetails

          public void initImageDetails(int series)

      Adds image and ROI details from the reader's `MetadataTempBuffer` to its `MetadataStore`
      Parameters:
        `series` - index of image series / metadata store
      Throws:
        `FormatException`

    - #### initMetadataStore

          public void initMetadataStore()
                                 throws FormatException,
                                        java.io.IOException

      Translates metadata information from the reader's `MetadataTempBuffer` and adds it to its `MetadataStore`
      Throws:
        `FormatException`
        `java.io.IOException`

    - #### getTileIndex

          public int getTileIndex(int coreIndex)

    - #### checkFlip

          public ome.units.quantity.Length checkFlip(boolean flip,
                                                     ome.units.quantity.Length pos)

Copyright © 2026 Open Microscopy Environment